Package org.apache.axiom.soap

# Class SOAPProcessingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.axiom.om.OMException
org.apache.axiom.soap.SOAPProcessingException

All Implemented Interfaces:
  `Serializable`

public class SOAPProcessingException extends OMException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SOAPProcessingException(String message)`
  `SOAPProcessingException(String messageText, String faultCode)`
  `SOAPProcessingException(String messageText, String faultCode, Throwable cause)`
  `SOAPProcessingException(String message, Throwable cause)`
  `SOAPProcessingException(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFaultCode()`
  `void`
  `setFaultCode(String soapFaultCode)`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SOAPProcessingException

    public SOAPProcessingException(String message)

  - ### SOAPProcessingException

    public SOAPProcessingException(Throwable cause)

  - ### SOAPProcessingException

    public SOAPProcessingException(String message, Throwable cause)

  - ### SOAPProcessingException

    public SOAPProcessingException(String messageText, String faultCode, Throwable cause)
    Parameters:
      `messageText` - - this will appear as the Text in the Reason information item of SOAP Fault
      `faultCode` - - this will appear as the Value in the Code information item of SOAP Fault
      `cause` - - this will appear under the Detail information item of SOAP Fault

  - ### SOAPProcessingException

    public SOAPProcessingException(String messageText, String faultCode)
    Parameters:
      `messageText` - - this will appear as the Text in the Reason information item of SOAP Fault
      `faultCode` - - this will appear as the Value in the Code information item of SOAP Fault

- ## Method Details

  - ### getFaultCode

    public String getFaultCode()

  - ### setFaultCode

    public void setFaultCode(String soapFaultCode)